<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>PhoneNumberRepository.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">data</a> &gt; <span class="el_source">PhoneNumberRepository.java</span></div><h1>PhoneNumberRepository.java</h1><pre class="source lang-java linenums">package data;

import java.util.ArrayList;
import java.util.List;

import Entities.CDR;
import Entities.Phone_Number;
import plans.IPlan;

public class PhoneNumberRepository implements IPhoneNumberRepository{

<span class="fc" id="L12">	List&lt;Phone_Number&gt; ListPhoneNumbers  = new ArrayList&lt;Phone_Number&gt;();</span>
<span class="fc" id="L13">	List&lt;Phone_Number&gt; ListNewPhoneNumbers  = new ArrayList&lt;Phone_Number&gt;();</span>

<span class="fc" id="L15">	public PhoneNumberRepository() {</span>
		//is not implement because don't have variable that need initialize
<span class="fc" id="L17">	}</span>
	
	public void registerNewPhoneNumbers(String phoneNumbers) {
<span class="fc" id="L20">		int number=0;</span>
<span class="fc" id="L21">		double balance=0;</span>
<span class="fc" id="L22">		String plan_type = null;</span>
<span class="fc" id="L23">		String FriendNumbers = null;</span>
<span class="fc" id="L24">		String[] PhoneNumbersData = phoneNumbers.split(&quot;\\r?\\n|;&quot;);</span>
<span class="fc" id="L25">		int i = 0;</span>
<span class="fc bfc" id="L26" title="All 2 branches covered.">		while ( i &lt; PhoneNumbersData.length ) {</span>
<span class="fc" id="L27">		  number=Integer.parseInt(PhoneNumbersData[i]);i++;</span>
<span class="fc" id="L28">		  balance=Double.parseDouble(PhoneNumbersData[i]);i++;</span>
<span class="fc" id="L29">		  plan_type=PhoneNumbersData[i];i++;</span>
<span class="fc" id="L30">		  FriendNumbers=PhoneNumbersData[i];</span>
<span class="fc" id="L31">		  Phone_Number newPhoneNumber = new Phone_Number(number, balance, plan_type, FriendNumbers);</span>
<span class="fc" id="L32">		  ListNewPhoneNumbers.add(newPhoneNumber);</span>
<span class="fc" id="L33">			i++;</span>
		}
<span class="fc" id="L35">	}</span>
	
	public List&lt;Phone_Number&gt; getNewPhoneNumbers(){
<span class="fc" id="L38">		return ListNewPhoneNumbers;</span>
	}
	
	public void cleanNewPhoneNumbers() {
<span class="fc" id="L42">		ListNewPhoneNumbers.clear();</span>
<span class="fc" id="L43">	}</span>
	
	
	@Override
	public List&lt;Phone_Number&gt; getNumbers() {
<span class="fc" id="L48">		return ListPhoneNumbers;</span>
	}
	
	@Override
	public void registerNewNumber(Phone_Number newNumber) {
<span class="fc" id="L53">		ListPhoneNumbers.add(newNumber);</span>
<span class="fc" id="L54">	}</span>

	@Override
	public void registerFriendNumber(int number, int friendNumber) {
<span class="fc" id="L58">		Phone_Number numberDB = getNumber(number);</span>
<span class="fc bfc" id="L59" title="All 2 branches covered.">		if (validateNumber(numberDB)) {</span>
<span class="fc" id="L60">			numberDB.registerFriendNumber(friendNumber);</span>

		}
<span class="fc" id="L63">	}</span>

	@Override
	public Phone_Number getNumber(int number) {
<span class="fc bfc" id="L67" title="All 2 branches covered.">		for (Phone_Number phone_Number : ListPhoneNumbers) {</span>
<span class="fc bfc" id="L68" title="All 2 branches covered.">			if (phone_Number.getTelephone()==number) {</span>
<span class="fc" id="L69">				return phone_Number;</span>
			}
		}
<span class="fc" id="L72">		return null;</span>
	}
	
	private boolean validateNumber(Phone_Number numbeDB)
	{
<span class="fc bfc" id="L77" title="All 2 branches covered.">		if (numbeDB==null) </span>
<span class="fc" id="L78">			return false;</span>
<span class="fc" id="L79">		return true;</span>
	}


	@Override
	public void loadPhonesNumbers(List&lt;Phone_Number&gt; numbers) {
<span class="fc" id="L85">		ListPhoneNumbers.clear();</span>
<span class="fc" id="L86">		ListPhoneNumbers.addAll(numbers);</span>
<span class="fc" id="L87">	}</span>
	

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>